# DelegateBasedCRUDRepo

constructor(readDelegate: ReadCRUDRepo < ObjectType , IdType >, writeDelegate: WriteCRUDRepo < ObjectType , IdType , InputValueType >)(source)

#### Parameters

readDelegate

Delegate providing all ReadCRUDRepo operations

writeDelegate

Delegate providing all WriteCRUDRepo operations

#### Type Parameters

ObjectType

The type of objects stored in the repository

IdType

The type of identifiers used to reference stored objects

InputValueType

The type of input data used to create or update objects